RubyGems Navigation menu

zbatery 4.0.0

Zbatery is an HTTP server for Rack applications on systems that either do not support fork(), or have no memory (nor need) to run the master/worker model. It is based on Rainbows! (which is based on Unicorn (which is based on Mongrel)) and inherits parts of each. Zbatery supports your choice of all the thread/fiber/event/actor-based concurrency models and Rack middleware that Rainbows! supports (or will ever support) in a single process.

Versions:

  1. 4.0.0 - June 27, 2011 (54 KB)
  2. 3.4.0 - May 21, 2011 (53.5 KB)
  3. 3.3.0 - May 16, 2011 (53 KB)
  4. 3.1.0 - February 11, 2011 (47 KB)
  5. 3.0.0 - January 12, 2011 (46 KB)
Show all versions (20 total)

Runtime Dependencies (1):

  • rainbows ~> 4.0
  • Development Dependencies (2):

  • isolate ~> 3.1
  • wrongdoc ~> 1.5
  • Owners:

    Authors:

    • Zbatery hackers

    SHA 256 checksum:

    64eddc355ef3bd2c989c69c420689ce3667ff81f5d06045d36a8ab54b2c34897

    Total downloads 44,209

    For this version 2,052

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    Licenses:

    N/A

    Required Ruby Version: None

    Links: